aMule e Slackware 13 [RESOLVIDO]

1. aMule e Slackware 13 [RESOLVIDO]

Silvio Olyver
silvio.olyver

(usa Slackware)

Enviado em 17/10/2009 - 11:11h

Olá galera, na instalação do aMule no slack 13 retorna a seguinte:

checking for wx-config... no
configure: error:
wxWidgets must be installed on your system but wx-config
script couldn't be found. Please check that wx-config is
in path or specified by --with-wx-config=path flag, the
directory where wxWidgets libraries are installed (returned
by 'wx-config --libs' command) is in LD_LIBRARY_PATH or
equivalent variable and wxWidgets version is 2.8.0 or above.


Como posso resolver essa dependência de biblioteca?


  


2. Re: aMule e Slackware 13 [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 17/10/2009 - 11:29h

facil...

www.linuxpackages.net

procura a wxwidgets e instala. aproveita e pega o pacote pronto la do amule.

PARE DE REINVENTAR A RODA.


3. Re: aMule e Slackware 13 [RESOLVIDO]

Silvio Olyver
silvio.olyver

(usa Slackware)

Enviado em 17/10/2009 - 11:30h

Alguém já se deu bem nessa?


4. Re: aMule e Slackware 13 [RESOLVIDO]

Renato Carneiro Pacheco
renato_pacheco

(usa Debian)

Enviado em 17/10/2009 - 11:51h

Eu já me dei bem nessa. Execute:

$ wget http://repository.slacky.eu/slackware-13.0/development/wxwidgets/2.8.10/wxwidgets-2.8.10.unicode-i48...

E instale o pacote:

# installpkg wxwidgets-2.8.10.unicode-i486-1sl.txz

E tente d novo.


5. Resolvendo

Silvio Olyver
silvio.olyver

(usa Slackware)

Enviado em 27/10/2009 - 23:25h

Resolvido da seguinte forma: download da http://www.amule.org/
com suporte a plataformas * Linux * BSD, Solaris, MacOSX

Primeiramente faça a instalação das dependências, que são: geoip, libupnp, wxwidgets, libmspack.
com as instalações dessas dependências ocorreu tudo certo na instalação do aMule.

Obrigado a todos.